Summary:	Portable Windows Library
Name:		pwlib
Version:	1.10.10
Release:        11%{?dist}
URL:		http://www.openh323.org/
Source0:	http://www.ekiga.org/pwlib-%{version}.tar.gz
License:	MPLv1.0
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	expat, openssl-devel, pkgconfig
Patch0:		pwlib-1.10-libperms.patch
Patch1:		pwlib-1.10.10.rescale.patch
Patch2:		pwlib-1.10.10-libv4l.patch

%ifnarch  s390 s390x
BuildRequires:	libdv-devel, libraw1394-devel, libavc1394-devel
Requires:	libdv, libraw1394, libavc1394
%endif
BuildRequires:	alsa-lib-devel, libstdc++-devel, libv4l-devel
Requires:	alsa-lib, libstdc++
BuildRequires:	openldap-devel, expat-devel, SDL-devel, flex, bison

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to produce applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated. This version does not contain
any UI code.

It is supplied mainly to support the open H323 project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire.

%package devel
Summary:	Development package for pwlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel
%description devel
The pwlib-devel package includes the libraries and header files for pwlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
export CFLAGS="$CFLAGS -DLDAP_DEPRECATED"
%configure --prefix=%{_prefix} --enable-opal --enable-plugins --disable-oss --enable-v4l2 --disable-avc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}

make PREFIX=$RPM_BUILD_ROOT%{_prefix} LIBDIR=$RPM_BUILD_ROOT%{_libdir} install

rm -rf $RPM_BUILD_ROOT%{_includedir}/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptclib/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptlib/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib/CVS
rm -rf $RPM_BUILD_ROOT%{_datadir}/pwlib/make/CVS

perl -pi -e 's@PWLIBDIR.*=.*@PWLIBDIR = /usr/share/pwlib@' $RPM_BUILD_ROOT%{_datadir}/pwlib/make/ptbuildopts.mak

# hack to fixup things for bug 197318
find $RPM_BUILD_ROOT%{_libdir} -name '*.so' -type f -exec chmod +x {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc History.txt ReadMe.txt mpl-1.0.htm
%defattr(-,root,root)
%{_libdir}/libpt*.so.*
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/devices
%dir %{_libdir}/pwlib/devices/sound
%dir %{_libdir}/pwlib/devices/videoinput
# List these explicitly so we don't get any surprises
%{_libdir}/pwlib/devices/sound/alsa_pwplugin.so
%{_libdir}/pwlib/devices/videoinput/v4l_pwplugin.so
%{_libdir}/pwlib/devices/videoinput/v4l2_pwplugin.so
%ifnarch  s390 s390x
#{_libdir}/pwlib/devices/videoinput/avc_pwplugin.so
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/libpt*.so
%{_includedir}/*
%{_datadir}/pwlib
%attr(755,root,root) %{_bindir}/*


%changelog
* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.10.10-11
- rebuild with new openssl

* Sat Aug 30 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10.10-10
- Add patch to use libv4l to support webcams which generate custom video
  formats (bz 456868)

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10.10-9
- fix license tag

* Wed Jul 23 2008 Jarod Wilson <jwilson@redhat.com> 1.10.10-8
- Disable avc support, since pwlib uses a long-since deprecated
  and now removed libraw1394 interface for it...

* Tue Jul 22 2008 Jarod Wilson <jwilson@redhat.com> 1.10.10-7
- Bump and rebuild for libraw1394 v2.0.0

* Thu Mar 27 2008 Daniel Veillard <veillard@redhat.com> - 1.10.10-6
- apply rescale patch
- Resolves: rhbz#438605

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.10.10-5
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.10.10-4
 - Rebuild for deps

* Wed Nov  7 2007 Stepan Kasal <skasal@redhat.com> - 1.10.10-3
- fix a typo in summary
- Resolves: #239216

* Tue Sep 18 2007 Daniel Veillard <veillard@redhat.com> - 1.10.10-2
- rebuild for chain-build

* Tue Sep 18 2007 Daniel Veillard <veillard@redhat.com> - 1.10.10-1
- Update to 1.10.10

* Sun Apr 15 2007 Daniel Veillard <veillard@redhat.com> - 1.10.7-1
- Update to 1.10.7

* Tue Apr 10 2007 Daniel Veillard <veillard@redhat.com> - 1.10.6-1
- Update to 1.10.6

* Mon Mar 12 2007 Daniel Veillard <veillard@redhat.com> - 1.10.5-1
- Update to 1.10.5

* Wed Feb 14 2007 Daniel Veillard <veillard@redhat.com> - 1.10.4-1
- Update to 1.10.4

* Mon Jan 22 2007 Daniel Veillard <veillard@redhat.com> - 1.10.3-1
- Update to 1.10.3

* Fri Nov 17 2006 Daniel Veillard <veillard@redhat.com> - 1.10.2-3
- fix library permissions
- Resolves: rhbz#215916

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 1.10.2-1
- Update to 1.10.2

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 1.10.1-6.fc6
- Own some directories

* Wed Jul 19 2006 Ray Strode <rstrode@redhat.com> - 1.10.1-5
- add executable bit to dsos (bug 197318)

* Mon Jul 17 2006 Mike Bonnet <mikeb@redhat.com> - 1.10.1-4
- rebuild to fix missing rpms on ppc{,64}

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.10.1-3
- rebuild
- Add missing br bison

* Tue Jun 06 2006 Jesse Keating <jkeating@redhat.com> - 1.10.1-2
- adding missing BR flex

* Wed May 31 2006 Daniel Veillard <veillard@redhat.com> - 1.10.1-1
- update for ekiga 2.0.2 release

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 1.10.0-1
- final version for ekiga 2.0.0

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 1.9.3-1
- new beta version for ekiga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.9.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.9.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 1.9.2-1
- beta version of next release for ekiga

* Wed Dec 14 2005 Alexander Larsson <alexl@redhat.com> - 1.8.7-3
- Fixes for gcc 4.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 15 2005 Harald Hoyer <harald@redhat.com> 1.8.6-2
- make pwlib compile with new ldap and openssl
- -DLDAP_DEPRECATED should be removed ASAP

* Tue Sep  6 2005 Daniel Veillard <veillard@redhat.com> 1.8.6-1
- new upstream release, previous gcc4 patch is not needed anymore

* Wed Aug  3 2005 Daniel Veillard <veillard@redhat.com> 1.8.4-2
- applied a gcc4 compilation fix

* Fri Mar 18 2005 Daniel Veillard <veillard@redhat.com> 1.8.4-1
- Updated to 1.8.4 from gnomemeeting release 1.8.1
- cleanup and update of the spec file

* Thu Mar 17 2005 Christopher Aillon <caillon@redhat.com> 1.8.3-2
- Rebuild

* Sun Dec 19 2004 Daniel Reed <djr@redhat.com> 1.8.3-1
- version bump for GnomeMeeting 1.2

* Wed Aug 18 2004 Daniel Reed <djr@redhat.com> 1.6.5-11
- remove ExcludeArch

* Thu Aug 12 2004 Daniel Reed <djr@redhat.com> 1.6.5-10
- ExcludeArch: ppc64 to temporarily work around #129699

* Wed Aug 11 2004 Daniel Reed <djr@redhat.com> 1.6.5-9
- remove ExclusiveArch

* Wed Aug 11 2004 Daniel Reed <djr@redhat.com> 1.6.5-8
- add Requires: libstdc++

* Tue Aug 10 2004 Daniel Reed <djr@redhat.com> 1.6.5-7
- rebuild

* Tue Aug 10 2004 Daniel Reed <djr@redhat.com> 1.6.5-6
- #129460 Add .sasl_reorder to prefer libsasl2 over libsasl

* Mon Aug  9 2004 Tim Waugh <twaugh@redhat.com> 1.6.5-5
- Fixed debuginfo package (bug #129461).

* Wed Aug  4 2004 Daniel Reed <djr@redhat.com> 1.6.5-4
- comment out call to autoconf, use %configure instead of ./configure

* Mon Aug  2 2004 Daniel Reed <djr@redhat.com> 1.6.5-3
- add BuildRequires: openldap-devel expat-devel SDL-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr  2 2004 Alexander Larsson <alexl@redhat.com> 1.6.5-1
- update to 1.6.5

* Thu Mar  4 2004 Alexander Larsson <alexl@redhat.com> 1.6.3-2
- Make symlink for PWLIBDIR/make/ptlib-config

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1.6.3-1
- update to 1.6.3 final

* Fri Feb 20 2004 Alexander Larsson <alexl@redhat.com> 1.6.3-0.pre1.0
- update to 1.6.3pre1

* Tue Feb 17 2004 Alexander Larsson <alexl@redhat.com> 1.5.0-4
- add ranges security fix

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 1.5.0-2
- Add patch to recognize ppc64 ad 64bit

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.5.0-1
- Update to 1.5.0
- Update all patches for new makefile

* Mon Jun 30 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-6.EL
- rebuild for ppc64 crt*.o problems

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-5
- Add patch to workaround bison problem (bug #92262)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-3
- pwlib-1.4.7-noipv6.patch: Disable ipv6 check, damien claims it's unstable.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-2
- Oops. deleted a bit much from the specfile

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-1
- Update to 1.4.7

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.3.11-2
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- Use pkg-config to find OpenSSL if pkg-config admits to knowing anything.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.3.11-1
- Upgrade to 1.3.11
- Remove pwlib-alpha patch. I don't think it's necessary anymore.
- fix %doc

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-5
- Use %{_libdir} etc instead of hardcoding 

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.3.3-3
- rebuilt using gcc-3.2-0.1

* Fri Jul 19 2002 Jakub Jelinek <jakub@redhat.com> 1.3.3-2
- Use glibc regex (and at the same time get rid of non-fpic code)

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-1
- Update to 1.3.3

* Mon Jul  1 2002 Alexander Larsson <alexl@redhat.com> 1.3.1-1
- Update to 1.3.1

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Added versioned dependency in the devel package
- Fixed line-to-long error in description

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Add the video patch from damien needed for GM 0.85.1

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.2.12

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 1.2.5-1
- Updated to 1.2.5

* Mon Oct 01 2001 Alex Larsson <alexl@redhat.com> 1.1.36-4
- Added defattr

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.1.36-3
- made the devel package require the binary package

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 1.1.36-2
- Added new patch from damien

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.1.36-1
- Upgraded to 1.1.36

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com>
- Patch asnparser makefile so 'make -j...' works completely.

* Wed Jul  4 2001 Alexander Larsson <alexl@redhat.com>
- Borrow some stuff from the Mandrake specfile

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
